| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Private Member Functions | Private Attributes

# IG::Forms::XMLTestPath Class Reference

Collaboration diagram for IG::Forms::XMLTestPath:
[legend]

List of all members.

## Public Member Functions
delegate void | MyDelegate ()
| XMLTestPath (string Path)
| XMLTestPath ()
## Public Attributes
MyDelegate | CloseDelegate = null
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
void | XMLTestPathBas (string Path)
void | XMLTestPath_Load (object sender, EventArgs e)
internal void | btnTest_Click (object sender, EventArgs e)
| Use XPath to search for the path/values.
void | btnClose_Click (object sender, EventArgs e)
| close the consform, not the application
void | XMLTestPath_Closing (object sender, FormClosingEventArgs e)
## Private Attributes
internal XmlDocument | Doc = new XmlDocument()
internal string | InitialPath = null
GroupBox | groupBoxButtons
System.ComponentModel.IContainer | components = null
| Required designer variable.
System.Windows.Forms.GroupBox | gbxExpression
System.Windows.Forms.Button | btnTest
internal System.Windows.Forms.TextBox | txtTestExpression
System.Windows.Forms.GroupBox | gbxResults
System.Windows.Forms.RichTextBox | rtbResults
System.Windows.Forms.Button | btnClose
System.Windows.Forms.RadioButton | optOuterXml
System.Windows.Forms.RadioButton | optInnerXml
System.Windows.Forms.RadioButton | optValueOnly
System.ComponentModel.ComponentResourceManager | res = new System.ComponentModel.ComponentResourceManager(typeof(XMLTestPath))

## Constructor & Destructor Documentation

IG::Forms::XMLTestPath::XMLTestPath | ( | string | Path | ) | `[inline]`

IG::Forms::XMLTestPath::XMLTestPath | ( |  | ) | `[inline]`

## Member Function Documentation

delegate void IG::Forms::XMLTestPath::MyDelegate | ( |  | ) |

override void IG::Forms::XMLTestPath::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

void IG::Forms::XMLTestPath::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG::Forms::XMLTestPath::XMLTestPathBas | ( | string | Path | ) | `[inline, private]`

void IG::Forms::XMLTestPath::XMLTestPath_Load | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

internal void IG::Forms::XMLTestPath::btnTest_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

Use XPath to search for the path/values.

Parameters:

  sender |
  e |

void IG::Forms::XMLTestPath::btnClose_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

close the consform, not the application

Parameters:

  sender |
  e |

void IG::Forms::XMLTestPath::XMLTestPath_Closing | ( | object | sender,
|  | FormClosingEventArgs | e
| ) |  | `[inline, private]`

## Member Data Documentation

internal XmlDocument IG::Forms::XMLTestPath::Doc = new XmlDocument()`[private]`

internal string IG::Forms::XMLTestPath::InitialPath = null`[private]`

MyDelegate IG::Forms::XMLTestPath::CloseDelegate = null

GroupBox IG::Forms::XMLTestPath::groupBoxButtons`[private]`

System.ComponentModel.IContainer IG::Forms::XMLTestPath::components = null`[private]`

Required designer variable.

System.Windows.Forms.GroupBox IG::Forms::XMLTestPath::gbxExpression`[private]`

System.Windows.Forms.Button IG::Forms::XMLTestPath::btnTest`[private]`

internal System.Windows.Forms.TextBox IG::Forms::XMLTestPath::txtTestExpression`[private]`

System.Windows.Forms.GroupBox IG::Forms::XMLTestPath::gbxResults`[private]`

System.Windows.Forms.RichTextBox IG::Forms::XMLTestPath::rtbResults`[private]`

System.Windows.Forms.Button IG::Forms::XMLTestPath::btnClose`[private]`

System.Windows.Forms.RadioButton IG::Forms::XMLTestPath::optOuterXml`[private]`

System.Windows.Forms.RadioButton IG::Forms::XMLTestPath::optInnerXml`[private]`

System.Windows.Forms.RadioButton IG::Forms::XMLTestPath::optValueOnly`[private]`

System.ComponentModel.ComponentResourceManager IG::Forms::XMLTestPath::res = new System.ComponentModel.ComponentResourceManager(typeof(XMLTestPath))`[private]`

The documentation for this class was generated from the following file:

- xmltreeview_testpath.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events